import codecs
import os
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, 'README.rst'), encoding='utf-8') as f:
    README = f.read()

with codecs.open(os.path.join(here, 'CHANGELOG.rst'), encoding='utf-8') as f:
    CHANGELOG = f.read()

with codecs.open(os.path.join(here, 'CONTRIBUTORS.rst'),
                 encoding='utf-8') as f:
    CONTRIBUTORS = f.read()


REQUIREMENTS = [
    'kinto >= 5.0',
    'pyfxa >= 0.0.9',
]

DEPENDENCY_LINKS = []

ENTRY_POINTS = {
    'console_scripts': [
        'kinto-fxa = kinto_fxa.scripts.__main__:main'
    ]
}

SCRIPTS_REQUIRES = [
    'boto3',
    'ec2-metadata',
    'SQLAlchemy',
    'psycopg2 > 2.5',
    'zope.sqlalchemy'
]


setup(name='kinto-fxa',
      version='2.5.1',
      description='Firefox Accounts support in Kinto',
      long_description=README + "\n\n" + CHANGELOG + "\n\n" + CONTRIBUTORS,
      license='Apache License (2.0)',
      classifiers=[
          "Programming Language :: Python",
          "Programming Language :: Python :: 3",
          "Programming Language :: Python :: 3.5",
          "Programming Language :: Python :: 3.6",
          "Topic :: Internet :: WWW/HTTP",
          "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
          "License :: OSI Approved :: Apache Software License"
      ],
      keywords="web services",
      author='Mozilla Services',
      author_email='services-dev@mozilla.com',
      url='https://github.com/Kinto/kinto-fxa',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=REQUIREMENTS,
      extras_require={
          'scripts': SCRIPTS_REQUIRES
      },
      dependency_links=DEPENDENCY_LINKS,
      entry_points=ENTRY_POINTS)
